Package com.verisign.epp.codec.ttl.v1_0

## Class EPPTtlInfData

- java.lang.Object
- - com.verisign.epp.codec.ttl.v1_0.EPPTtlExtension
  - - com.verisign.epp.codec.ttl.v1_0.EPPTtlInfData

- All Implemented Interfaces:
    `EPPCodecComponent`, `java.io.Serializable`, `java.lang.Cloneable`

      public class EPPTtlInfData
      extends EPPTtlExtension

  TTL Info Data Extension that enables a client to pass the TTL values with a info response.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `ELM_LOCALNAME` | XML local name for `EPPTtlInfData`.
    `static java.lang.String` | `ELM_NAME` | XML root tag for `EPPTtlInfData`.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `EPPTtlInfData()` | Default constructor for `EPPTtlInfData`.
    `EPPTtlInfData​(EPPTtl aTtl)` | Constructor for `EPPTtlInfData` that takes a single TTL.
    `EPPTtlInfData​(java.util.List<EPPTtl> aTtls)` | Constructor for `EPPTtlInfData` that a list of TTLs.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.w3c.dom.Element` | `encode​(org.w3c.dom.Document aDocument)` | Encode of a `EPPTtlInfData` instance that includes checks of the TTLs.
    `protected java.lang.String` | `getLocalName()` | Returns the local name "infData" for the info response extension.
    `java.lang.String` | `getNamespace()` | Returns the XML namespace associated with the `EPPCodecComponent`.

    - ### Methods inherited from class com.verisign.epp.codec.ttl.v1_0.EPPTtlExtension

      `addTtl, clone, decode, equals, getTtls, hasTtls, setTtls, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ELM_LOCALNAME

          public static final java.lang.String ELM_LOCALNAME

      XML local name for `EPPTtlInfData`.
      See Also:
        Constant Field Values

    - #### ELM_NAME

          public static final java.lang.String ELM_NAME

      XML root tag for `EPPTtlInfData`.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### EPPTtlInfData

          public EPPTtlInfData()

      Default constructor for `EPPTtlInfData`.

    - #### EPPTtlInfData

          public EPPTtlInfData​(EPPTtl aTtl)

      Constructor for `EPPTtlInfData` that takes a single TTL.
      Parameters:
        `aTtl` - A single TLL value

    - #### EPPTtlInfData

          public EPPTtlInfData​(java.util.List<EPPTtl> aTtls)

      Constructor for `EPPTtlInfData` that a list of TTLs.
      Parameters:
        `aTtls` - A list of TTLs

  - ### Method Detail

    - #### getLocalName

          protected java.lang.String getLocalName()

      Returns the local name "infData" for the info response extension.
      Specified by:
        `getLocalName` in class `EPPTtlExtension`
      Returns:
        Local name "infData" for the info response extension.

    - #### encode

          public org.w3c.dom.Element encode​(org.w3c.dom.Document aDocument)
                                     throws EPPEncodeException

      Encode of a `EPPTtlInfData` instance that includes checks of the TTLs.
      Specified by:
        `encode` in interface `EPPCodecComponent`
      Overrides:
        `encode` in class `EPPTtlExtension`
      Parameters:
        `aDocument` - DOM Document, which acts is an Element factory
      Returns:
        Element Root element associated with the object
      Throws:
        `EPPEncodeException` - Error encoding `EPPTtlExtension`

    - #### getNamespace

          public java.lang.String getNamespace()

      Returns the XML namespace associated with the `EPPCodecComponent`.
      Returns:
        XML namespace for the `EPPCodecComponent`.